import pandas as pd

CSV_FILE = '../DWD-Daten/produkt_klima_tag_19350101_20211231_01303.txt'

messwerte = pd.read_csv(CSV_FILE, delimiter=';')
messwerte = messwerte[['MESS_DATUM', ' TMK']]
messwerte = messwerte.loc[(messwerte.MESS_DATUM >= 20021209) & (messwerte.MESS_DATUM < 20031209)]
messwerte['t'] = messwerte[' TMK'].astype(int) 

pd.set_option('display.max_rows', len(messwerte))

print("Jahr: 2002")
print()

print("Werte")
print(messwerte)
print()

h = messwerte['t'].value_counts().sort_index(axis=0)

print("Verteilung")
print(h)
